<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Data/Git/MeLOn/feedforward neural network/model/dep/tinyxml2/inc/tinyxml2.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('tinyxml2_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle"><div class="title">tinyxml2.h File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;cctype&gt;</code><br />
<code>#include &lt;climits&gt;</code><br />
<code>#include &lt;cstdio&gt;</code><br />
<code>#include &lt;cstdlib&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &lt;stdint.h&gt;</code><br />
</div>
<p><a href="tinyxml2_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_str_pair.html">tinyxml2::StrPair</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_mem_pool.html">tinyxml2::MemPool</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">union &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontinyxml2_1_1_mem_pool_t_1_1_item.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;::Item</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtinyxml2_1_1_mem_pool_t_1_1_block.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;::Block</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_visitor.html">tinyxml2::XMLVisitor</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_util.html">tinyxml2::XMLUtil</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">tinyxml2::XMLNode</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_text.html">tinyxml2::XMLText</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_comment.html">tinyxml2::XMLComment</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_declaration.html">tinyxml2::XMLDeclaration</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_unknown.html">tinyxml2::XMLUnknown</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html">tinyxml2::XMLAttribute</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_element.html">tinyxml2::XMLElement</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_document.html">tinyxml2::XMLDocument</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_document_1_1_depth_tracker.html">tinyxml2::XMLDocument::DepthTracker</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_handle.html">tinyxml2::XMLHandle</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">tinyxml2::XMLConstHandle</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_printer.html">tinyxml2::XMLPrinter</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacetinyxml2" id="r_namespacetinyxml2"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetinyxml2.html">tinyxml2</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a8953517b8490d756ad0bfef40fe5811f" id="r_a8953517b8490d756ad0bfef40fe5811f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8953517b8490d756ad0bfef40fe5811f">TINYXML2_LIB</a></td></tr>
<tr class="separator:a8953517b8490d756ad0bfef40fe5811f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a029877acb3c6fd71698561044953bd14" id="r_a029877acb3c6fd71698561044953bd14"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a029877acb3c6fd71698561044953bd14">TIXMLASSERT</a>(x)&#160;&#160;&#160;{}</td></tr>
<tr class="separator:a029877acb3c6fd71698561044953bd14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a530d8240c8e91a9ba8b8dae2d0024571" id="r_a530d8240c8e91a9ba8b8dae2d0024571"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a530d8240c8e91a9ba8b8dae2d0024571">TINYXML2_MAJOR_VERSION</a>&#160;&#160;&#160;7</td></tr>
<tr class="separator:a530d8240c8e91a9ba8b8dae2d0024571"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae81f14093bb46006bfba7bbb874f2ad7" id="r_ae81f14093bb46006bfba7bbb874f2ad7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae81f14093bb46006bfba7bbb874f2ad7">TINYXML2_MINOR_VERSION</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ae81f14093bb46006bfba7bbb874f2ad7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae01c0f3f1b45c29e71209555c5821afc" id="r_ae01c0f3f1b45c29e71209555c5821afc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae01c0f3f1b45c29e71209555c5821afc">TINYXML2_PATCH_VERSION</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:ae01c0f3f1b45c29e71209555c5821afc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a1fbf88509c3ac88c09117b1947414e08" id="r_a1fbf88509c3ac88c09117b1947414e08"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">tinyxml2::XMLError</a> { <br />
&#160;&#160;<a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08a1fe1262fdb5ac05dd9cc4631f8c8e00d">tinyxml2::XML_SUCCESS</a> = 0
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08abefb89c44285fb68e2218b2c71767f27">tinyxml2::XML_NO_ATTRIBUTE</a>
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08ae9d8ee545a3a69e90df303257a658113">tinyxml2::XML_WRONG_ATTRIBUTE_TYPE</a>
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08a38fd2a97fb1dbebd4c3640d75dc01a94">tinyxml2::XML_ERROR_FILE_NOT_FOUND</a>
, <br />
&#160;&#160;<a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08afbbf37655523b79a88b04b77ec0f1258">tinyxml2::XML_ERROR_FILE_COULD_NOT_BE_OPENED</a>
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08a8d4dd3ce2dee784a53f62fa8a6ac83ee">tinyxml2::XML_ERROR_FILE_READ_ERROR</a>
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08afa96ea783aa93ea212f9e2d7d3a70ba5">tinyxml2::XML_ERROR_PARSING_ELEMENT</a>
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08a380fd8846799b88773321efae83d26a3">tinyxml2::XML_ERROR_PARSING_ATTRIBUTE</a>
, <br />
&#160;&#160;<a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08a50ead30b94c7ae2957b9ccb08ec0994d">tinyxml2::XML_ERROR_PARSING_TEXT</a>
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08a9d181628a1819f2b97835e6bc2c8bb3b">tinyxml2::XML_ERROR_PARSING_CDATA</a>
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08a51786809e8b079c770853cf5890a7a35">tinyxml2::XML_ERROR_PARSING_COMMENT</a>
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08ad45b208578e30dab5a21bff1d8991b87">tinyxml2::XML_ERROR_PARSING_DECLARATION</a>
, <br />
&#160;&#160;<a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08a95a88813812a680fb7372f0149420a97">tinyxml2::XML_ERROR_PARSING_UNKNOWN</a>
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08a1a0478cf44f0a733aa6f21bdf0db80b5">tinyxml2::XML_ERROR_EMPTY_DOCUMENT</a>
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08a0cecc816939d9155d33b8a88fd50e4c1">tinyxml2::XML_ERROR_MISMATCHED_ELEMENT</a>
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08af6b4caa10e1f2e9f19a3a24f5f3ce223">tinyxml2::XML_ERROR_PARSING</a>
, <br />
&#160;&#160;<a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08afdb8840395a7c13dfe6a3e104401c095">tinyxml2::XML_CAN_NOT_CONVERT_TEXT</a>
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08a5300bec98feccc8f0cdf567b88821f33">tinyxml2::XML_NO_TEXT_NODE</a>
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08a0e0d5f9b6c5add26e910d206f469dd21">tinyxml2::XML_ELEMENT_DEPTH_EXCEEDED</a>
, <a class="el" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08a9ebb2775c56387353f5b2de94f6ab71d">tinyxml2::XML_ERROR_COUNT</a>
<br />
 }</td></tr>
<tr class="separator:a1fbf88509c3ac88c09117b1947414e08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f91d00f77360f850fd5da0861e27dd5" id="r_a7f91d00f77360f850fd5da0861e27dd5"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetinyxml2.html#a7f91d00f77360f850fd5da0861e27dd5">tinyxml2::Whitespace</a> { <a class="el" href="namespacetinyxml2.html#a7f91d00f77360f850fd5da0861e27dd5a751769aa625fe5fe5286e9779edec56a">tinyxml2::PRESERVE_WHITESPACE</a>
, <a class="el" href="namespacetinyxml2.html#a7f91d00f77360f850fd5da0861e27dd5a9a4a309029a6f5e636e20ef5e0b65136">tinyxml2::COLLAPSE_WHITESPACE</a>
 }</td></tr>
<tr class="separator:a7f91d00f77360f850fd5da0861e27dd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a8953517b8490d756ad0bfef40fe5811f" name="a8953517b8490d756ad0bfef40fe5811f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8953517b8490d756ad0bfef40fe5811f">&#9670;&#160;</a></span>TINYXML2_LIB</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TINYXML2_LIB</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a530d8240c8e91a9ba8b8dae2d0024571" name="a530d8240c8e91a9ba8b8dae2d0024571"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a530d8240c8e91a9ba8b8dae2d0024571">&#9670;&#160;</a></span>TINYXML2_MAJOR_VERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TINYXML2_MAJOR_VERSION&#160;&#160;&#160;7</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae81f14093bb46006bfba7bbb874f2ad7" name="ae81f14093bb46006bfba7bbb874f2ad7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae81f14093bb46006bfba7bbb874f2ad7">&#9670;&#160;</a></span>TINYXML2_MINOR_VERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TINYXML2_MINOR_VERSION&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae01c0f3f1b45c29e71209555c5821afc" name="ae01c0f3f1b45c29e71209555c5821afc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae01c0f3f1b45c29e71209555c5821afc">&#9670;&#160;</a></span>TINYXML2_PATCH_VERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TINYXML2_PATCH_VERSION&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a029877acb3c6fd71698561044953bd14" name="a029877acb3c6fd71698561044953bd14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a029877acb3c6fd71698561044953bd14">&#9670;&#160;</a></span>TIXMLASSERT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIXMLASSERT</td>
          <td>(</td>
          <td class="paramtype"></td>          <td class="paramname"><span class="paramname">x</span></td><td>)</td>
          <td>&#160;&#160;&#160;{}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_2153465d1994426effb356c466256250.html">feedforward neural network</a></li><li class="navelem"><a class="el" href="dir_81c62c849c41b038c690bb0249c57a89.html">model</a></li><li class="navelem"><a class="el" href="dir_d0df07ccd540104d8780f8a3c2a84f63.html">dep</a></li><li class="navelem"><a class="el" href="dir_6560574a97005a9e96489bde3e26171e.html">tinyxml2</a></li><li class="navelem"><a class="el" href="dir_ec4001a1433187b9b29c2709598bbac8.html">inc</a></li><li class="navelem"><a class="el" href="tinyxml2_8h.html">tinyxml2.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
